summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman2010-03-21 18:10:47 +0100
committer Michiel van Wessem2010-05-13 14:10:38 +0200
commit3294eae1c4b51e4ea4a17a3ef53bba884342b1db (patch)
treebe6bbc5c1f479524c693f853d9ac93b5b110fc45
parent3b8644144be204c31ce6dfc254bf1b1de534eaba (diff)
downloadslackbuilds-3294eae1c4b51e4ea4a17a3ef53bba884342b1db.tar.gz
libraries/fox-toolkit: Build fixes and script cleanup.
-rw-r--r--libraries/fox-toolkit/FXint-no_inline.diff20
-rw-r--r--libraries/fox-toolkit/fox-toolkit.SlackBuild18
2 files changed, 30 insertions, 8 deletions
diff --git a/libraries/fox-toolkit/FXint-no_inline.diff b/libraries/fox-toolkit/FXint-no_inline.diff
new file mode 100644
index 0000000000..a5c8b02cda
--- /dev/null
+++ b/libraries/fox-toolkit/FXint-no_inline.diff
@@ -0,0 +1,20 @@
+--- xfe-1.32.1_orig/src/xfeutils.cpp 2009-11-09 14:17:17.000000000 -0200
++++ xfe-1.32.1/src/xfeutils.cpp 2010-02-17 00:39:22.000000000 -0200
+@@ -512,7 +512,7 @@
+
+
+ // Replacement of the stat function
+-inline FXint statrep(const FXchar* filename, struct stat* buf)
++FXint statrep(const FXchar* filename, struct stat* buf)
+ {
+ #if defined(linux)
+
+@@ -546,7 +546,7 @@
+
+
+ // Replacement of the lstat function
+-inline FXint lstatrep(const FXchar* filename, struct stat* buf)
++FXint lstatrep(const FXchar* filename, struct stat* buf)
+ {
+ #if defined(linux)
+
diff --git a/libraries/fox-toolkit/fox-toolkit.SlackBuild b/libraries/fox-toolkit/fox-toolkit.SlackBuild
index 756fda68ed..9c6f5dd6e3 100644
--- a/libraries/fox-toolkit/fox-toolkit.SlackBuild
+++ b/libraries/fox-toolkit/fox-toolkit.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for fox-toolkit
-# Copyright 2006-2010 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2010 Robby Workman, Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
PRGNAM=fox-toolkit
VERSION=1.6.37
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -50,6 +50,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
@@ -72,6 +75,9 @@ if [ "$OPENGL" = "YES" ]; then
do_opengl="no"
fi
+# Uncomment this line to build on -current
+#patch -p1 < $CWD/FXint-no_inline.diff
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -88,12 +94,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc
mv $PKG/usr/share/doc/fox-1.6 $PKG/usr/doc/$PRGNAM-$VERSION